//------------------------------------------------------------------------
// control/main.cs
// Copyright (c) 2003, 2006  Kenneth C. Finney
//------------------------------------------------------------------------
Exec("./client/presets.cs");
Exec("./server/presets.cs");

package control {
function OnStart()
{
   Parent::OnStart();
   Echo("\n++++++++++++ Initializing control module ++++++++++++");
   Exec("./client/misc/sndprofiles.cs"); 
   Exec("./client/initialize.cs");
   Exec("./server/initialize.cs");
   InitializeServer(); // Prepare the server-specific aspects
   if ($Server::Dedicated)
      InitializeDedicatedServer();
   else
      InitializeClient();

}
function OnExit()
{
   Parent::onExit();
}
}; // Client package
ActivatePackage(control); // Tell TGE to make the client package active
